/****************************************************************************
	$Header: /Dev/Tin3/InstallDir/Tix/TixPrecomp.h 1     30/08/06 15:20 Dave $

	Copyright (c) 1990-2006 Tarma Software Research. All rights reserved.

	Project:	Tarma Installer
	Author:		Ron van der Wal
	Created:	30-08-2006 15:15

	Tarma Installer extension DLL precompiled headers.

	NOTE: For best results, view with tab stops set at every 4 positions.

	THE CONTENTS OF THIS DOCUMENT ARE CONFIDENTIAL AND PROPRIETARY TO
	TARMA SOFTWARE RESEARCH PTY LTD, AND MAY NOT BE REPRODUCED, PUBLISHED,
	OR DISCLOSED TO OTHERS WITHOUT COMPANY AUTHORISATION.

	Use of this document is allowed to registered users of Tarma Installer
	and solely for the purpose of creating Tarma Installer Extension DLLs.
****************************************************************************/

#ifndef __TIXPRECOMP_H
#define __TIXPRECOMP_H

#pragma once

#if _MSC_VER >= 1200
#pragma warning(push)
#endif

// Pragmas to avoid complaints on the Windows header files with /W4
#pragma warning(disable:4115)	// Named type definition in parentheses
#pragma warning(disable:4201)	// Non-standard: nameless struct/union
#pragma warning(disable:4214)	// Non-standard: bit field other than int
#pragma warning(disable:4255)	// No function prototype: converting () to (void)
#pragma warning(disable:4514)	// Unreferenced inline function removed
#pragma warning(disable:4668)	// Name not defined as preprocessor name
#pragma warning(disable:4711)	// Function selected for automatic inline
#pragma warning(disable:4820)	// n bytes padding added after struct member
#pragma warning(disable:4917)	// GUID must be associated with class, interface, namespace

// Windows headers
#define STRICT
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <shlobj.h>

#if _MSC_VER >= 1200
#pragma warning(pop)
#endif

#pragma warning(disable:4514)	// Unreferenced inline function removed

#endif	// __TIXPRECOMP_H
